kdk::KToolBar(3)

NAME
kdk::KToolBar

SYNOPSIS

#include <ktoolbar.h>

Inherits QWidget.

  Public Member Functions

KToolBar (QWidget *parent=nullptr)
Qt::Orientation orientation ()
void setOrientation (Qt::Orientation orientation)
KToolButton * addButton (QIcon icon)
KToolButton * addButton (QString string)
QList< KToolButton * > addButton (QList< QIcon > list)
QList< KToolButton * > addButton (QList< QString > list)
QList< KToolButton * > buttonList ()
void removeButton (KToolButton *button)
void removeButton (int id)
void removeButton (QList< KToolButton * > list)
void setBorderRadius (int radius)
int borderRadius ()
void setExclusive (bool)
bool exclusive ()
void setCheckable (bool flag)
bool isCheckable ()
QList< KToolButton * > checkedButton ()
void setLineVisible (bool flag)
bool isLineVisible ()
void setBackgroundColorEnabled (bool flag)
bool backgroundColorEnabled ()

  Protected Member Functions

void paintEvent (QPaintEvent *event)

Detailed Description

Since
    2.5.2.0

Author

Generated automatically by Doxygen for LIBKYSDK-APPLICATIONS from the source code.